Subject: bug#10462: closed (Re: bug#10462: Bug Report - Building all tools in 64Bit on Solaris 10.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Mar 2012 12:07:02 +0000

Your bug report

#10462: Bug Report - Building all tools in 64Bit on Solaris 10.

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10462: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10462
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10462: Bug Report - Building all tools in 64Bit on Solaris 10.
From: Stefano Lattarini <[email-masked]>
To: ROBERT JONES <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Mar 2012 13:35:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/02/2012 09:36 PM, Stefano Lattarini wrote:
>
> The issue you have encountered is just a testsuite weakness; nothing you
> should really worry about, since it is not a symptom of any real automake
> bug.  And it should now be solved in the master branch.
> 
> I will wait a week or so before closing the report though, in case you feel
> like trying out the code in master and (hopefully) confirming the fix truly
> work.
>
That "week" turned out to be almost two months long apparently :-)

I'm closing this report now.

Regards,
  Stefano

Subject: Bug Report - Building all tools in 64Bit on Solaris 10.
From: ROBERT JONES <[email-masked]>
To: [email-masked]
Date: Mon, 09 Jan 2012 02:19:46 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

See below.  The bottom line is the reset of CFLAGS to remove the -m64 
for compiles that link....
Tests that didn't fail didn't have to link with anything else that was 
built when CFLAGS was untouched.

Robert W. Jones

gfp-ip@gfpmtipb:pts9:/build_tools/tools/build/automake-1.11.1/tests
$ grep "^CFLAGS=" 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/* | more
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/ansi3.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/ansi3b.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/ansi5.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/ccnoco.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/ccnoco3.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/cond16.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/cond18.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/cond19.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/cond4.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/depcomp2.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/depend2.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/lex3.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/pr87.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/subobj3.test:CFLAGS=
 
/appl/archives/build_tools/tools/src/automake-1.11.1/tests/substref.test:CFLAGS=
gfp-ip@gfpmtipb:pts9:/build_tools/tools/build/automake-1.11.1/tests
$ egrep "^FAIL:|^CFLAGS|^ld" test-suite.log | more
FAIL: ansi3.test (exit: 2)
CFLAGS=
ld: fatal: file ansi2knr.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to ansi2knr
FAIL: ansi3b.test (exit: 2)
CFLAGS=
ld: fatal: file ansi2knr.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to ansi2knr
FAIL: ansi5.test (exit: 2)
CFLAGS=
ld: fatal: file ansi2knr.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to ansi2knr
FAIL: ccnoco.test (exit: 2)
CFLAGS=
ld: fatal: file wish-a.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to wish
FAIL: ccnoco3.test (exit: 1)
CFLAGS=
ld: fatal: file a.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to wish
FAIL: depend2.test (exit: 2)
CFLAGS=
ld: fatal: file hello.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to hello
ldadd: running libtool --version
ldflags: running libtool --version
FAIL: lex3.test (exit: 2)
CFLAGS=
ld: fatal: file foo.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to foo
FAIL: pr87.test (exit: 1)
CFLAGS=
ld: fatal: file foo.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to foo
FAIL: subobj3.test (exit: 2)
CFLAGS=
ld: fatal: file sub/hello.o: wrong ELF class: ELFCLASS32
ld: fatal: File processing errors. No output written to hello
gfp-ip@gfpmtipb:pts9:/build_tools/tools/build/automake-1.11.1/tests
$ grep CFLAGS Makefile
gfp-ip@gfpmtipb:pts9:/build_tools/tools/build/automake-1.11.1/tests
$ grep CFLAGS ../../../MasterBuild
CFLAGS="-m64 -I${INSTARGET}/include"
FCFLAGS="-m64"
export OPTFLAGS CFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS